Name:		kaffeine
Version:	2.0.9
Release:	%mkrel 1
Summary:	Media Player for Plasma 5
Group:		Graphical desktop/KDE
License:	GPLv2+
Url:		https://www.kde.org/applications/multimedia/kaffeine/
Source0:	http://download.kde.org/stable/kaffeine/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(libdvbv5)
BuildRequires:	pkgconfig(libvlc)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xscrnsaver)

BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5IdleTime)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5Solid)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5XmlGui)

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(phonon4qt5)

Requires:	qt5-database-plugin-sqlite
Recommends:	%{name}-handbook

%description
Kaffeine is a Plasma 5 Multi Engine Media Player.
What makes it different from the others is its excellent support of
digital TV (DVB). Kaffeine has user-friendly interface, so that even
first time users can start immediately playing their movies: from DVD
(including DVD menus, titles, chapters, etc.), VCD, or a file.

%files -f %{name}.lang
%{_kf5_bindir}/kaffeine
%{_kf5_bindir}/dtvdaemon
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/profiles/%{name}.profile.xml
%{_kf5_datadir}/solid/actions/*.desktop
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_appdatadir}/org.kde.%{name}.appdata.xml
%{_kf5_mandir}/man1/%{name}.1.*

#--------------------------------------------------------------------

%package	handbook
Summary:	Kaffeine Handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description	handbook
This package provides Kaffeine handbook.

%files handbook
%{_kf5_docdir}/HTML/*/kaffeine/

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang %{name} --with-man


%changelog
* Sun Mar 12 2017 daviddavid <daviddavid> 2.0.9-1.mga6
+ Revision: 1092157
- new version: 2.0.9

* Wed Feb 22 2017 daviddavid <daviddavid> 2.0.6-1.mga6
+ Revision: 1087371
- new version: 2.0.6

* Fri Oct 07 2016 daviddavid <daviddavid> 2.0.5-1.mga6
+ Revision: 1059315
- new version: 2.0.5

* Sun Jul 03 2016 daviddavid <daviddavid> 2.0.4-1.mga6
+ Revision: 1038553
- new version: 2.0.4
- add subpackage kaffeine-handbook

* Thu Jun 16 2016 daviddavid <daviddavid> 2.0.3-1.mga6
+ Revision: 1021726
- new version: 2.0.3

* Wed Jun 08 2016 daviddavid <daviddavid> 2.0.2-1.mga6
+ Revision: 1020874
- new version: 2.0.2
- remove merged upstream patches
- add BR KF5DocTools

* Tue Jun 07 2016 daviddavid <daviddavid> 2.0.1-2.mga6
+ Revision: 1020565
- add and adapt an upstream patch to fix two issues:
  * https://bugs.kde.org/show_bug.cgi?id=363869
  * https://bugs.kde.org/show_bug.cgi?id=364018

* Mon Jun 06 2016 daviddavid <daviddavid> 2.0.1-1.mga6
+ Revision: 1020351
- new version: 2.0.1
- port to Qt5/Kf5
- update URL and Source URL
- update description and summary

* Thu Mar 31 2016 daviddavid <daviddavid> 1.3.1-1.mga6
+ Revision: 997099
- new version: 1.3.1 (fixes mga#18039)
- rename and rediff cmake3.3 patch
- remove dvdepg_cpp_fix patch
- replace xine1.2-devel for pkgconfig(libvlc)

* Thu Mar 31 2016 daviddavid <daviddavid> 1.2.2-8.mga6
+ Revision: 997090
- add patch1 to fix build with CMake 3.3 and higher

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Aug 23 2015 cjw <cjw> 1.2.2-7.mga6
+ Revision: 868768
- switch to xine lib 1.2

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-6.mga5
+ Revision: 740171
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-5.mga5
+ Revision: 680917
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.2-4.mga4
+ Revision: 506517
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.2-3.mga3
+ Revision: 355770
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 juancho <juancho> 1.2.2-2.mga3
+ Revision: 325757
- Added patch to fix FTBFS with g++ 4.7 from Fedora.

* Fri May 13 2011 obgr_seneca <obgr_seneca> 1.2.2-1.mga1
+ Revision: 97865
- new version 1.2.2

* Tue Apr 12 2011 ahmad <ahmad> 1.2.1-1.mga1
+ Revision: 84035
- update to 1.2.1

* Tue Apr 05 2011 obgr_seneca <obgr_seneca> 1.2-1.mga1
+ Revision: 80630
- new version 1.2

* Fri Mar 04 2011 obgr_seneca <obgr_seneca> 1.1-1.mga1
+ Revision: 64433
- imported package kaffeine

